1

I am trying to install new applications, but I keep getting this error message from the "Copy" application:

The operation can’t be completed because an unexpected error occurred
(error code -60008).

The applications I am trying to install are:

  • git from git-2.2.1-intel-universal-mavericks.dmg
  • SourceTree from SourceTree_2.0.5.2.dmg

The message is given after I drag the application on the destination directory, and after being asked if I want it to replace the old one.

In the past I had no problems with them.

  • For SourceTree try Check for Updates... in its menu – Mark Mar 28 '15 at 19:40
  • @Mark - I cannot do it any longer. SourceTree got corrupted trying to install the new version... – Pietro Mar 28 '15 at 23:00
  • Googling goves thios lists.apple.com/archives/Installer-dev/2008/Mar/msg00022.html - so I think you need to delete all of SourceTree and that might include ~/Library/Application Support/SourceTree - Also Sourcetree includes git (/Applications/SourceTree.app/Contents/Resources/git_local/bin/git) so you don't need the separate install unless you want command line - And which of the 2 installs you have gives the error? – Mark Mar 28 '15 at 23:32
1

After many attempts, the only way I could install these applications has been through a manual copy from the command line:

sudo hdiutil attach ./SourceTree_2.0.5.2.dmg
sudo cp -r /Volumes/SourceTree/SourceTree.app /Applications/
  • even after deleting /Application/SourceTree.app ? – Mark Mar 29 '15 at 0:52
  • @Mark - Yes. I found no other way... – Pietro Mar 31 '15 at 8:47

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .